package org.fuseri.model.dto.user;

import jakarta.validation.constraints.NotBlank;
import org.fuseri.model.dto.common.DomainObjectDto;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class UserDto extends DomainObjectDto {
    @NotBlank
    private String username;
    @NotBlank
    private String email;
    @NotBlank
    private String firstName;
    @NotBlank
    private String lastName;
    private AddressDto address;

    private String userType;

    private List<Language> languages;
    private List<ProficiencyLevel> proficiencyLevels;



    public UserDto(String username, String email, String firstName, String lastName, AddressDto address) {
        setId(0L);
        this.username = username;
        this.email = email;
        this.firstName = firstName;
        this.lastName = lastName;
        this.address = address;
    }
}
